Bug 453320 - Booting into runlevel 3 leaves screen "in the black hole"
Booting into runlevel 3 leaves screen "in the black hole"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-06-29 12:57 EDT by Tom London
Modified: 2008-08-12 14:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 14:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-06-29 12:57:54 EDT
Description of problem:
Like plymouth a lot.  Good job!!

But, booting into runlevel 3 (by adding a 3 to the end of the grub prompt),
leaves the screen completely black.

Entering cntl-alt-F1 restored the familiar "login:" prompt.

Not sure what makes sense here: remaining in non-graphic mode for runlevel 3? 

Version-Release number of selected component (if applicable):
plymouth-0.4.5-1.fc10.i386
plymouth-plugin-spinfinity-0.4.5-1.fc10.i386
plymouth-plugin-fade-in-0.4.5-1.fc10.i386
plymouth-libs-0.4.5-1.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1. Power on machine.
2. Add "3" to grub boot prompt
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2008-06-30 14:24:54 EDT
We should probably just run plymouth on tty1 for now, at least until we
coordinate between plymouth and GDM's X better.
Comment 2 Ray Strode [halfline] 2008-06-30 14:26:13 EDT
(at which point we'll need to handle "there won't be X" and either not vt switch
to 7 at all or vt switch to 1 on exit)
Comment 3 Matthias Clasen 2008-08-12 14:21:49 EDT
Ray says this should be fixed in current rawhide. 
Please reopen if you still see it.

Note You need to log in before you can comment on or make changes to this bug.